/* Table of constant values */

static int c__5 = 5;
static int c__3 = 3;

int main(void)
{
    /* Initialized data */
    static double a[15] /* was [5][3] */ = { 1.,2.,0.,1.,-1.,0.,1.,1.,
                                             2.,1.,1.,3.,1.,0.,0. };
    /* Local variables */
    extern int afp0d_c(double *, int *, int *, double *);
    static int i__;
    static double v[5];

#define a_ref(a_1,a_2) a[(a_2)*5 + a_1 - 6]

    for (i__ = 1; i__ <= 5; ++i__) {
        printf("\n %13.4e %13.4e %13.4e \n",
            a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
    }
    afp0d_c(a, &c__5, &c__3, v);

    for (i__ = 1; i__ <= 5; ++i__) {
        printf("\n %19.9e %19.9e %19.9e \n",
            a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
    }
    printf("\n %19.9e %19.9e %19.9e \n", v[0], v[1], v[2]);
    return 0;
} /* main */

#undef a_ref
